Package org.apache.commons.io.file

# Class CountingPathVisitor.AbstractBuilder<T,B extends CountingPathVisitor.AbstractBuilder<T,B>>

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder<T,B>
org.apache.commons.io.file.CountingPathVisitor.AbstractBuilder<T,B>

Type Parameters:
  `T` - The CountingPathVisitor type.
  `B` - The AbstractBuilder type.

All Implemented Interfaces:
  `IOSupplier<T>`

Direct Known Subclasses:
  `AccumulatorPathVisitor.Builder`, `CountingPathVisitor.Builder`

Enclosing class:
  `CountingPathVisitor`

public abstract static class CountingPathVisitor.AbstractBuilder<T,B extends CountingPathVisitor.AbstractBuilder<T,B>> extends SimplePathVisitor.AbstractBuilder<T,B>
Builds instances of `CountingPathVisitor`.

Since:
  2.19.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBuilder()`
  Constructs a new builder for subclasses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `B`
  `setDirectoryFilter(PathFilter directoryFilter)`
  Sets how to filter directories.
  `B`
  `setDirectoryPostTransformer(UnaryOperator<Path> directoryTransformer)`
  Sets how to transform directories, defaults to `UnaryOperator.identity()`.
  `B`
  `setFileFilter(PathFilter fileFilter)`
  Sets how to filter files.
  `B`
  `setPathCounters(Counters.PathCounters pathCounters)`
  Sets how to count path visits.

  ### Methods inherited from class org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder

  `setVisitFileFailedFunction`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, get, getUnchecked`

- ## Constructor Details

  - ### AbstractBuilder

    public AbstractBuilder()
    Constructs a new builder for subclasses.

- ## Method Details

  - ### setDirectoryFilter

    public B setDirectoryFilter(PathFilter directoryFilter)
    Sets how to filter directories.
    Parameters:
      `directoryFilter` - how to filter files.
    Returns:
      `this` instance.

  - ### setDirectoryPostTransformer

    public B setDirectoryPostTransformer(UnaryOperator<Path> directoryTransformer)
    Sets how to transform directories, defaults to `UnaryOperator.identity()`.
    Parameters:
      `directoryTransformer` - how to filter files.
    Returns:
      `this` instance.

  - ### setFileFilter

    public B setFileFilter(PathFilter fileFilter)
    Sets how to filter files.
    Parameters:
      `fileFilter` - how to filter files.
    Returns:
      `this` instance.

  - ### setPathCounters

    public B setPathCounters(Counters.PathCounters pathCounters)
    Sets how to count path visits.
    Parameters:
      `pathCounters` - How to count path visits.
    Returns:
      `this` instance.